import { WasmInstance } from "../wasm";
export declare let wasm: WasmInstance | undefined;
export declare function init(): Promise<void>;
declare class IntegerClass {
    i: number;
    constructor(n: number | string | null, i?: number);
    add(m: IntegerClass): IntegerClass;
    sub(m: IntegerClass): IntegerClass;
    mul(m: IntegerClass): IntegerClass;
    eql(m: IntegerClass): boolean;
    cmp(m: IntegerClass): number;
    print(): void;
    nextPrime(): IntegerClass;
    isPseudoPrime(): any;
    toString(): string;
}
export declare function isPseudoPrime(n: number | string): 0 | 1 | 2;
export declare const Integer: (x: any) => IntegerClass;
export {};
